from django.urls import path
from . import views

app_name = 'applicant'

urlpatterns = [
    # Form Management
    path('job/<str:job_id>/forms/', views.job_forms_list, name='job_forms_list'),
    path('job/<str:job_id>/forms/create/', views.create_form_for_job, name='create_form'),
    path('form/<int:form_id>/edit/', views.edit_form, name='edit_form'),
    path('field/<int:field_id>/delete/', views.delete_field, name='delete_field'),
    path('form/<int:form_id>/activate/', views.activate_form, name='activate_form'),
    
    # Public Application
    path('apply/<str:job_id>/', views.apply_form_view, name='apply_form'),
    path('review/job/detail/<str:job_id>/',views.review_job_detail, name="review_job_detail"),
    path('apply/<str:job_id>/thank-you/', views.thank_you_view,  name='thank_you'),
]